commit:     9645a029fbe1dc361f86bd011f2b843fecbcb7e8
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Sun Jul  8 11:45:24 2018 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Thu Jul 19 13:24:40 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9645a029

x11-plugins/wmSpaceWeather: EAPI6, improve ebuild

 .../wmSpaceWeather-1.04_p19-r1.ebuild              | 60 ++++++++++++++++++++++
 1 file changed, 60 insertions(+)

diff --git a/x11-plugins/wmSpaceWeather/wmSpaceWeather-1.04_p19-r1.ebuild 
b/x11-plugins/wmSpaceWeather/wmSpaceWeather-1.04_p19-r1.ebuild
new file mode 100644
index 00000000000..cb3cc31c6e8
--- /dev/null
+++ b/x11-plugins/wmSpaceWeather/wmSpaceWeather-1.04_p19-r1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils toolchain-funcs
+
+MY_PN="wmspaceweather"
+MY_PV_ORIG="${PV/_p*}"
+MY_PV_PATCH="${PV/_p/-}"
+MY_P_ORIG="${MY_PN}_${MY_PV_ORIG}.orig"
+MY_P_PATCH="${MY_PN}_${MY_PV_PATCH}.diff"
+
+DESCRIPTION="dockapp showing weather at geosynchronous orbit"
+HOMEPAGE="https://www.dockapps.net/wmspaceweather";
+SRC_URI="mirror://debian/pool/main/w/${MY_PN}/${MY_P_ORIG}.tar.gz
+           mirror://debian/pool/main/w/${MY_PN}/${MY_P_PATCH}.gz"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~hppa ~mips ~ppc ~sparc ~x86"
+
+DOCS=( ../{BUGS,CHANGES,HINTS,README} )
+
+CDEPEND="x11-libs/libX11
+       x11-libs/libXext
+       x11-libs/libXpm"
+DEPEND="${CDEPEND}
+       x11-base/xorg-proto"
+RDEPEND="${CDEPEND}
+       net-misc/curl
+       dev-lang/perl"
+
+S="${WORKDIR}/${MY_P_ORIG/_/-}/${PN}"
+
+src_unpack() {
+       unpack ${MY_P_ORIG}.tar.gz
+       epatch "${DISTDIR}"/${MY_P_PATCH}.gz
+
+       # need to apply patches from Debian first, do NOT change the order
+       cd "${S}" || die
+       mv ../debian/patches "${WORKDIR}"/patch || die
+       EPATCH_SUFFIX="dpatch" EPATCH_FORCE="yes" \
+               EPATCH_MULTI_MSG="Applying Debian patches ..." epatch
+       eapply "${FILESDIR}"/${P}-gentoo.patch
+       eapply "${FILESDIR}"/${P}-getkp.patch
+}
+
+src_compile() {
+       emake clean
+       emake CC="$(tc-getCC)" LIBDIR="/usr/$(get_libdir)"
+}
+
+pkg_postinst() {
+       elog "You need to emerge www-client/firefox or www-client/firefox-bin"
+       elog "to use the -url functionality - see man ${PN} for more info."
+       elog
+       elog "This version uses curl instead of wget. You may edit 
/usr/share/wmspaceweather/GetKp"
+       elog "if you don't like it."
+}

Reply via email to